Customfieldconfigurations
- : Access Younium API
Filter the results. See developer resources for more information. On endpoints whose entity supports
custom fields you can also filter by custom field: customFieldEq('fieldName', 'value') (equals) or
customFieldExist('fieldName') (field has a non-empty value). Custom-field functions may only be
combined with and.
name eq 'Adam' and age gt 20 and customFieldEq('region', 'EU')Sorting the results. See developer resources for more information
accountNumber DescApply a separate modified After filter. See 'ModifiedBefore' filter for further details.
2026-07-01Apply a separate filter to only get records that has been modified Before the specified date time.
2026-07-01Page Size
20Page Number
1Success
Bad Request.
Unauthorized
Forbidden
GET /CustomFieldConfigurations HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"pageNumber": 1,
"pageSize": 1,
"totalPages": 1,
"totalCount": 1,
"nextPage": "https://example.com",
"previousPage": "https://example.com",
"firstPage": "https://example.com",
"lastPage": "https://example.com",
"data": [
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"name": "text",
"defaultValue": "text",
"fieldType": "Text",
"entity": "Account",
"list": "text",
"typeEntity": "Account",
"entityObject": "text"
}
]
}- : Access Younium API
The CustumFieldConfiguration for the request.
No content
Bad Request.
Unauthorized
Forbidden
POST /CustomFieldConfigurations HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 148
{
"fieldType": "Text",
"entity": "Account",
"key": "text",
"name": "text",
"defaultValue": "text",
"list": {
"key": "text",
"value": "text"
},
"typeEntity": "Account"
}No content
- : Access Younium API
Success
Bad Request.
Unauthorized
Forbidden
GET /CustomFieldConfigurations/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"name": "text",
"defaultValue": "text",
"fieldType": "Text",
"entity": "Account",
"list": "text",
"typeEntity": "Account",
"entityObject": "text"
}- : Access Younium API
Success
No content
Bad Request.
Unauthorized
Forbidden
PATCH /CustomFieldConfigurations/{id} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 148
{
"fieldType": "Text",
"entity": "Account",
"key": "text",
"name": "text",
"defaultValue": "text",
"list": {
"key": "text",
"value": "text"
},
"typeEntity": "Account"
}No content
- : Access Younium API
Success
Bad Request.
Unauthorized
Forbidden
GET /CustomFieldConfigurations/{entity}/{key} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Accept: */*
{
"id": "123e4567-e89b-12d3-a456-426614174000",
"key": "text",
"name": "text",
"defaultValue": "text",
"fieldType": "Text",
"entity": "Account",
"list": "text",
"typeEntity": "Account",
"entityObject": "text"
}- : Access Younium API
Success
No content
Bad Request.
Unauthorized
Forbidden
PATCH /CustomFieldConfigurations/{entity}/{key} HTTP/1.1
Host: api.younium.com
Authorization: Bearer YOUR_OAUTH2_TOKEN
Content-Type: application/merge-patch+json
Accept: */*
Content-Length: 148
{
"fieldType": "Text",
"entity": "Account",
"key": "text",
"name": "text",
"defaultValue": "text",
"list": {
"key": "text",
"value": "text"
},
"typeEntity": "Account"
}No content
Last updated
Was this helpful?